> ## Documentation Index
> Fetch the complete documentation index at: https://docs.geekai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Kling Image 3.0 Omni

### 模型参数

* 模型ID：`kling-image-v3-omni`
* 模型价格：你可以在[模型详情页](https://geekai.co/models/kling-image-v3-omni)查看最新价格信息
* 调用入口：`https://geekai.co/api/v1/images/generations`
* 模型参数：参考[画图 API 手册](https://docs.geekai.co/cn/api/image/generations)
* API认证：[获取 API KEY](https://geekai.co/user/api_keys)

<Note>
  不支持画图公共 API 中的以下参数：

  * `seed`
  * `quality`
  * `style_preset`
  * `response_format`
  * `output_format`
  * `mask`
  * `background`

  附：[可灵画图 3.0 Omni 官方 API 文档](https://klingai.com/document-api/api/image/3-0-omni/image-omni)
</Note>

支持的 `aspect_ratio` 取值范围如下：

* 1:1
* 16:9
* 4:3
* 3:2
* 2:3
* 3:4
* 9:16
* 21:9

支持通过 `size` 替代官方的 `resolution` 参数来控制生成图像的分辨率，`size` 的取值范围:

* `1k`，默认值
* `2k`
* `4k`

支持通过 `watermark` 参数替代官方的 `watermark_info` 参数来控制生成视频是否带有水印，`watermark` 的取值范围是 `true` 和 `false`，默认值是 `false`。

### 模型价格

Kling Image 3.0 Omni 支持 1K、2K、4K 等多种分辨率图片生成，不同分辨率对应的价格不同，以下是价格表：

| 分辨率 | 价格（单位：元/张） |
| --- | ---------- |
| 1K  | 0.2        |
| 2K  | 0.2        |
| 4K  | 0.4        |

1K、2K 分辨率价格一样，4K 是 1K 基准价格的约 2 倍。

使用极客智坊提供的[低价代理渠道](https://docs.geekai.co/cn/docs/model_price)调用时，不同参数对应价格按照价格表x对应的折扣值即可：以高可用Pro通道为例，折扣值是 `0.8`，那么生成一张 `size` 为 `4K` 的图片价格是 `0.4 x 0.8 = 0.32` 元，其他参数依次类推。

### 文生图

通过文字描述来生成对应图像：

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/images/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model":"kling-image-v3-omni",
    "prompt": "画一只可爱的小猫",
    "aspect_ratio": "4:3",
    "n": 1,
}'
```

响应是一个包含生成图片 URL 的 JSON 对象：

```json theme={null}
{
    "task_id": "5b36a98e-e202-43f8-8a28-cecdc83020b8",
    "task_status": "succeed",
    "data": [
        {
            "url": "https://static.geekai.co/image/2026/01/15/c07071e78203f406b0a607a2120adc11.png"
        }
    ],
    "created": 1768456368
}
```

如果你想要生成多张图像，可以通过 `n` 参数来指定生成的图像数量，最大值为 9。

### 图生图

**单图**

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/images/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model":"kling-image-v3-omni",
    "prompt": "将图中女生的服装颜色变为绿色",
    "image": "https://ark-project.tos-cn-beijing.volces.com/doc_image/seedream4_imagesToimage_1.png",
    "aspect_ratio": "16:9"
}'
```

响应是一个包含生成图片 URL 的 JSON 对象:

```json theme={null}
{
    "task_id": "72580c6b-7733-4fbb-9661-f50c0e25280a",
    "task_status": "succeed",
    "data": [
        {
            "url": "https://static.geekai.co/image/2026/01/21/d5c09e54706a09cbb6271236e9d95fe1.png"
        }
    ],
    "created": 1768987803
}
```

**多图参考生图**

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/images/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model":"kling-image-v3-omni",
    "prompt": "将图2女生的服装换为图1女生的服装",
    "image": [
        "https://ark-project.tos-cn-beijing.volces.com/doc_image/seedream4_imagesToimage_1.png", 
        "https://ark-project.tos-cn-beijing.volces.com/doc_image/seedream4_5_imagesToimage_2.png",
    ],
    "aspect_ratio": "16:9"
}'
```

响应是一个包含生成图片 URL 的 JSON 对象：

```json theme={null}
{
    "task_id": "f48dea70-364a-4d57-8412-85b4c1528c02",
    "task_status": "succeed",
    "data": [
        {
            "url": "https://static.geekai.co/image/2026/01/20/146eb9ad496351cbaf9b7554ac08f06f.png"
        }
    ],
    "created": 1768892618
}
```

图片要求：

* 支持传入图片 Base64 编码或图片 URL（确保可访问）
* 图片格式支持 .jpg / .jpeg / .png
* 图片文件大小不能超过 10MB，图片宽高尺寸不小于 300px，图片宽高比要在 1:2.5 \~ 2.5:1 之间
* 最多支持传入 10 张参考图

如果你想要[异步生图](https://docs.geekai.co/cn/docs/image/txt2img#%E5%BC%82%E6%AD%A5%E7%94%9F%E5%9B%BE)，可以通过 `async` 参数来指定，取值范围是 `true` 和 `false`，默认值是 `false`。当你设置为 `true` 时，接口会立即返回一个任务 ID，你可以通过任务 ID 来查询生成结果。
